> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete subdomain

> Delete a subdomain by ID.

Deletes the subdomain and revokes its SSL certificate. This action is irreversible.

Deleting a subdomain whose status is `active` stops routing its traffic to Fingerprint. Any JavaScript agent still configured with this subdomain as its [`endpoints`](/reference/js-agent-start-function#endpoints) will fail to identify visitors, so update your agent configuration before you delete a subdomain that's in use.

Note: Does not support `Legacy` subdomains. Migrate old certificates via the Dashboard to manage them via API.


## OpenAPI

````yaml reference/management-api_2025-11-20.json DELETE /subdomains/{id}
openapi: 3.0.0
info:
  title: Management API
  description: >-
    Managment API allows you to manage your Fingerprint account and applications
    programmatically from a server environment.
  version: '2025-11-20'
  contact: {}
servers:
  - url: https://management-api.fpjs.io
security:
  - Management-API-key: []
tags: []
paths:
  /subdomains/{id}:
    delete:
      tags:
        - subdomains
      summary: Delete subdomain
      description: Delete a subdomain by ID.
      operationId: SubdomainsController_delete
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: X-API-Version
          in: header
          description: Management API version.
          example: '2025-11-20'
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Subdomain deleted.
        '401':
          description: 'Error: Invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '404':
          description: Subdomain ID does not exist in this workspace.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '429':
          description: 'Error: API key has exceeded its rate limit.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
components:
  schemas:
    ApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseApiExceptionDto'
      required:
        - error
    BaseApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
      required:
        - message
        - code
  securitySchemes:
    Management-API-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````